classification
Title: winsound.SND_NOWAIT ignored on modern Windows platforms
Type: behavior Stage: resolved
Components: Documentation, Windows Versions: Python 3.1, Python 3.2, Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: bughunter2, docs@python, python-dev
Priority: normal Keywords:

Created on 2012-01-08 21:46 by bughunter2, last changed 2013-10-13 08:49 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
example.py bughunter2, 2012-01-08 21:46
Messages (3)
msg150915 - (view) Author: Jelle Geerts (bughunter2) Date: 2012-01-08 21:46
As the attached example Python script explains, the winsound.SND_NOWAIT flag doesn't do anything, at least not on modern Windows platforms.

The updated MSDN documentation for PlaySound() states that SND_NOWAIT is not supported (it is ignored).
Link: http://msdn.microsoft.com/en-us/library/windows/desktop/dd743680%28v=vs.85%29.aspx

Assuming that the flag is supported on older Windows versions, I propose that the Python documentation is updated to state the same thing for SND_NOWAIT that it states for the SND_PURGE flag, which is the following:
"Note: This flag is not supported on modern Windows platforms."

Even though it might be that SND_NOWAIT was in fact never supported on any Windows version, the proposed change is at least better than not doing anything about it.
msg199674 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-10-13 08:48
New changeset e08dea96b6e2 by Georg Brandl in branch '3.3':
Closes #13740: SND_NOWAIT seems to be ignored on modern Windows.
http://hg.python.org/cpython/rev/e08dea96b6e2
msg199675 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-10-13 08:49
New changeset 3c8feb068694 by Georg Brandl in branch '2.7':
Closes #13740: SND_NOWAIT seems to be ignored on modern Windows.
http://hg.python.org/cpython/rev/3c8feb068694
History
Date User Action Args
2013-10-13 08:49:30python-devsetmessages: + msg199675
2013-10-13 08:48:59python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg199674

resolution: fixed
stage: resolved
2012-11-04 22:54:47techtoniksetassignee: docs@python

nosy: + docs@python
components: + Documentation
versions: + Python 3.1, Python 2.7, Python 3.2, Python 3.3, Python 3.4
2012-01-08 21:46:41bughunter2create